relaxngcc.grammar

## Interface PatternFunction

All Known Implementing Classes:
  AutomatonBuilder, PatternWalker, ScopeCollector

    public interface PatternFunction

Author:
  Kohsuke Kawaguchi (kk@kohsuke.org)

### Method Summary

Methods
`void` `addError(BuildError err)`
`java.lang.Object` `attribute(AttributePattern p)`
`java.lang.Object` `choice(ChoicePattern p)`
`java.lang.Object` `data(DataPattern p)`
`java.lang.Object` `element(ElementPattern p)`
`java.lang.Object` `empty(EmptyPattern p)`
`java.lang.Object` `group(GroupPattern p)`
`java.lang.Object` `interleave(InterleavePattern p)`
`java.lang.Object` `javaBlock(JavaBlock p)`
`java.lang.Object` `list(ListPattern p)`
`java.lang.Object` `notAllowed(NotAllowedPattern p)`
`java.lang.Object` `oneOrMore(OneOrMorePattern p)`
`java.lang.Object` `ref(RefPattern p)`
`java.lang.Object` `scope(Scope s)`
`java.lang.Object` `value(ValuePattern p)`

### Method Detail

#### empty

    java.lang.Object empty(EmptyPattern p)

#### notAllowed

    java.lang.Object notAllowed(NotAllowedPattern p)

#### group

    java.lang.Object group(GroupPattern p)

#### interleave

    java.lang.Object interleave(InterleavePattern p)

#### choice

    java.lang.Object choice(ChoicePattern p)

#### oneOrMore

    java.lang.Object oneOrMore(OneOrMorePattern p)

#### element

    java.lang.Object element(ElementPattern p)

#### attribute

    java.lang.Object attribute(AttributePattern p)

#### data

    java.lang.Object data(DataPattern p)

#### value

    java.lang.Object value(ValuePattern p)

#### list

    java.lang.Object list(ListPattern p)

#### ref

    java.lang.Object ref(RefPattern p)

#### scope

    java.lang.Object scope(Scope s)

#### javaBlock

    java.lang.Object javaBlock(JavaBlock p)

#### addError

    void addError(BuildError err)